### Enumeration

# GIRepository RepositoryError

since: 2.80

#### Declaration

    enum GIRepository.RepositoryError

#### Description

An error code used with `GI_REPOSITORY_ERROR` in a `GError` returned from a `GIRepository` routine.

Available since: 2.80

#### Members

`GI_REPOSITORY_ERROR_TYPELIB_NOT_FOUND`

  The typelib could not be found.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.80
`GI_REPOSITORY_ERROR_NAMESPACE_MISMATCH`

  The namespace does not match the requested namespace.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.80
`GI_REPOSITORY_ERROR_NAMESPACE_VERSION_CONFLICT`

  The version of the typelib does not match the requested version.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.80
`GI_REPOSITORY_ERROR_LIBRARY_NOT_FOUND`

  The library used by the typelib could not be found.

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.80